loader.define(function(requires,exports,module,global){

    // 合并接收默认参数
    let props = $.extend(true, {
        value:"BUI",
        placeholder:"请输入",
        oninput:null
    }, module.props);

    // 初始化数据行为存储
    var bs = bui.store({
        el: `#${module.id}`,
        scope: "inputline",
        data: {
            value: props.value ,
            placeholder: props.placeholder 
        },
        methods: {
            oninput(e){
                props.oninput && props.oninput(e);
            }
        },
        mounted: function(){
            // 数据解析后执行
        }
    })

    return bs;
})